#!/bin/sh

CAMD_ID=4317
CAMD_NAME="MgCamd_1.35a/WiCard"

logger $0 $1
echo $0 $1

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*mgcamd* /tmp/wicardd-mipsel*
}

case "$1" in
  start)
  remove_tmp
  /usr/bin/wicardd-mipsel &
  sleep 15 
  /usr/bin/mgcamd_1.35a &
  ;;
  stop)
  killall -9 mgcamd_1.35a wicardd-mipsel 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
